// aplRecAlertTreeItem.h: interface for the CaplRecAlertTreeItem class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_APLRECALERTTREEITEM_H__91458FEF_91E0_4D43_868D_4DF6971A59C3__INCLUDED_)
#define AFX_APLRECALERTTREEITEM_H__91458FEF_91E0_4D43_868D_4DF6971A59C3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "aplTreeItem.h"

class CaplAlertTreeItem : public CaplTreeItem  //Полученные
{
public:
	CaplAlertTreeItem(CTreeCtrl *tree, CPSMDoc* pDoc, CaplInstance* inst=0);
	virtual ~CaplAlertTreeItem();
	virtual bool CreateTreeItem(HTREEITEM parent_item);
	virtual bool GetName(CString &name);
	virtual void GetAccessedinstances(aplExtent& ext);
	virtual bool Expand(UINT action);
	virtual bool ShowInListCtrl(CListCtrl* list);
	bool RefreshItem();
	void ShowProperties();
	bool TrackPopupMenu(CWnd *wnd, CPoint &point, UINT view_mode= APLICM_NORMALE);
	void CreateAlert();
	bool PasteItem(CaplTreeItem *item, CPoint *point);
	CaplInstance* m_inst;
	aplExtent m_all_items;
	aplExtent m_sub_alerts;
};

#endif // !defined(AFX_APLRECALERTTREEITEM_H__91458FEF_91E0_4D43_868D_4DF6971A59C3__INCLUDED_)
